@import '~@angular/material/theming';
@import '../../styles/custom-theme.scss';

.content {
  width: 100%;
}

.row-left {
  flex: 0 1 80%;
  position: relative;
}

.row-right {
  display: block;
  flex: 0 0 20%;
  min-width: 15em;
}

.padding {
  padding: 0.5em;
  box-sizing: border-box;
}

.avatar {
  width: 64px;
  height: 64px;
  font-size: 64px;
  padding-right: 10px;
}

.model-name {
  color: mat-color($custom-theme-primary);
}

.model-name h1 {
  margin: 10px 0 !important;
  text-align: left;
}

.header-dropdown {
  max-width: 30%;
}

/* Classes related to the File List */
.list-container h4.mat-line {
  font-size: medium;
}

.list-container span.mat-line {
  font-size: small;
  color: gray;
}

.list-divider {
  border-bottom: 1px solid #dedede;
}

.list-divider:last-child {
  border: none;
}

/* This styles the first chip. Taken from the Angular Material repository. */
.mat-chip {
  margin-left: 8px;
  margin-bottom: 8px;
}

/* To style subsequent chips. Taken from the Angular Material repository. */
.mat-chip:not(.mat-basic-chip) + .mat-chip:not(.mat-basic-chip) {
  margin-bottom: 8px;
}

/* Statistics related */
.action-buttons {
  display: flex;
  justify-content: space-around;
  padding-bottom: 0.5em;
}

.stat-item {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.stat-field {
  white-space: initial;
  text-overflow: ellipsis;
  overflow: hidden;
}

.stat-value {
  white-space: initial;
  text-overflow: ellipsis;
  overflow: hidden;
  text-align: right;
}

.font-x-large {
  font-size: x-large;
  text-align: center;
}

.loading-gif {
  padding: 1em;
  opacity: 0.5;
}

.bottom-row-container {
  position: relative;
  margin-bottom: 2em;
  width: 100%;
}

/* Media query to position Tags outside the Flex flow. */
@media screen and (min-width: 960px) {
  .tags-container {
    width: 30%;
    position: absolute;
    right: 0;
  }

  .bottom-left-section {
    width: 70%;
  }
}

/* Classes that make the gallery keep an aspect ratio. */
.gallery-container-outer {
  height: 0;
  width: 100%;
  /* Aspect Ratio: 16:9. 9/16 = 0.5625 */
  padding-top: 56.25%;
  position: relative;
  overflow: hidden;
}

.gallery-container-inner {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.sdfviewer {
  position : absolute;
  left : 0;
  top : 0;
  width: 100%;
  height: 100%;
  z-index: 1001;
}

.button3d {
  top: 2em;
  right: 2em;
  position: absolute;
  z-index: 1002;
  color: mat-color($custom-theme-accent, A700);
}

.buttonFullscreen {
  top: 2em;
  right: 6em;
  position: absolute;
  z-index: 1002;
  color: mat-color($custom-theme-accent, A700);
}

.buttonResetView {
  top: 2em;
  right: 10em;
  position: absolute;
  z-index: 1002;
  color: mat-color($custom-theme-accent, A700);
}


/* Media query to increase the size of the gallery in mobile views.
   Otherwise, the gallery images are too small. */
@media screen and (max-width: 599px) {
  .gallery-container-outer {
    padding-top: calc(56.25% + 5em);
  }
}

.tab-container {
  min-height: 10em;
  width: 100%;
}

.tab-body {
  padding: 10px;
}

.drag-button {
  display: flex;
  background-color: #eee;
  width: 6em;
  border-radius: 20%;
  padding: 0.5em;
  box-sizing: content-box;
}

pre.bibtex {
  margin: 0px;
}

.bibtex:hover {
  cursor: pointer;
  color: mat-color($custom-theme-primary);
}

ngx-gallery ::ng-deep .ngx-gallery-thumbnails .ngx-gallery-thumbnail {
  border: none !important;
}
